//Form.io
@import '~formiojs/dist/formio.full.css';
//form.io checkbox
.form-check .form-check-input {
  float: left;
  margin-left: -1.5em;
  margin-right: 1rem;
}

.formio-loader {
  border-top: 6px solid var(--ion-color-primary) !important;
}
.formio-component {
  &-textfield {
    input {
      height: 60px;
    }
  }
  &-email {
    input {
      height: 60px;
    }
  }
  &-phoneNumber {
    input {
      height: 60px;
    }
  }
  &-currency {
    input {
      height: 60px;
    }
  }
  &-number {
    input {
      height: 60px;
    }
  }
  &-datetime{
    input {
      height: 60px;
    }
  }
  &-pagebreak {
    display: none;
  }
  &-radio {
    input {
      width: 1.5em;
      height: 1.5em;
    }
    span {
      vertical-align: middle;
    }
    .formio-errors.invalid-feedback {
      margin-top: 4px !important;
    }
  }
  &-checkbox {
    input {
      width: 1.5em;
      height: 1.5em;
    }
    span {
      vertical-align: middle;
    }
  }
  .dropdown {
    height: 60px;
    line-height: 46px;
  }

  .input-group-text{
    height: 60px;
  }
}

//hidden default wizard pagination and navigation buttons form.io (next/prev)
.formio-form {
  margin-bottom: 1rem 0;
  &.formio-read-only {
    .pagination {
      .page-item {
        display: block;
      }
    }
    .remove-calendar{
      display: none;
    }
  }
  .pagination {
    .page-item {
      display: none;
    }
  }
  .formio-wizard-nav-container.list-inline {
    display: none;
  }
  .invalid-feedback {
    font-size: 1em;
    color: var(--ion-color-danger);
    margin-top: -1rem !important;
    &.formio-errors{
     // padding-top: 16px;
    }
  }
}


.formio-form > div > nav > ul.pagination .page-item.active .page-link {
  color: #fff;
  background-color:  var(--ion-color-primary);
  border-color: var(--ion-color-primary);
}


//Formio Calendar
.formio-component-calendar {
  .formio-errors{
    margin-top: 1rem !important;
  }
}

//Custom calendar formio
.monthview-primary-with-event {
  background-color: var(--ion-color-primary) !important;
  color: white;
}

//tbody table calendar
tbody{
  height: 222px;
}
